/**Begin D:\PDM_UPGRADE\PDM1\FCS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FCS_UNITTEST')
 CREATE TABLE T_FCS_UNITTEST (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FNTEXT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMBO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMULCOMBO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCHECKBOX CHAR(1) DEFAULT '0' NOT NULL,
FDATE DATETIME,
FDATETIME DATETIME,
FDECIMAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTEGER BIGINT DEFAULT 0 NOT NULL,
FBASEDATA BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FCS_UNITTEST_ENTRY')
 CREATE TABLE T_FCS_UNITTEST_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMODIFIERFIELD BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATEFIELD DATETIME,
FENTRYNTEXT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYCOMBO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYMULCOMBO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYINTEGER BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FCS_MUL_UNITTEST')
 CREATE TABLE T_FCS_MUL_UNITTEST (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\FCS_table.sql **/
